<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:s="http://www.w3.org/2008/soapjms/testsuite/testcases/" version="1.0">
  <xsl:output method="html" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" indent="yes"/>
  <xsl:template match="/">
    <html>
      <head>
        <title>SOAP over Java Message Service 1.0 - Test Cases</title>
        <link href="../testsuite.css" rel="stylesheet" type="text/css"/>
      </head>
      <body>

      <p class="navicons"><a href="http://www.w3.org/"><img src="http://www.w3.org/Icons/w3c_home"
      alt="W3C" height="48" width="72" /></a> <a href="http://www.w3.org/Architecture/"><img
      src="http://www.w3.org/Icons/arch" alt="Architecture Domain" height="48" width="212"
      /></a> <a href="http://www.w3.org/2002/ws/"><img src="http://www.w3.org/2002/ws/3/04/diags/wsa.png" width="192" height="48"
      alt="Web Services Activity" /></a></p>

        <h1>SOAP over Java Message Service 1.0 - Test Cases</h1>

	<div class="testcase-summary">
	<h3>Testcase Summary</h3>
	<p><xsl:value-of select="s:testcases/s:description"/></p>

	<table border="1" summary="Testcase summary">
	<tr><th>Testcase ID</th><th>Title</th><th>Description</th></tr>
        <xsl:for-each select="s:testcases/s:testcase">
	    <tr>
	      <td><a href="#{@xml:id}"><xsl:value-of select="@xml:id"/></a></td>
	      <td><xsl:value-of select="s:title"/></td>
	      <td><xsl:value-of select="s:description"/></td>
	    </tr>
	</xsl:for-each>
	</table>
	</div>
    
    <br/><br/>
    
	<div class="variable-list">
	<h3>Variables</h3>
	<p>The following variables are used throughout the testcase definitions and are defined here:</p>
	<table border="1" summary="Variable list">
	<tr><th>Variable Name</th><th>Description</th></tr>
	<xsl:for-each select="s:testcases/s:variables/s:variable">
	   <tr><td><b><xsl:value-of select="s:name"/></b></td><td><xsl:value-of select="s:description"/></td></tr>
	</xsl:for-each>
	</table>
	</div>

    <br/><br/>
    
	<h3>Testcase details</h3>
        <xsl:for-each select="s:testcases/s:testcase">
          <div class="testcase cr-{@cr}">
            <a name="{@xml:id}"/>
            <a href="#{@xml:id}"><xsl:value-of select="@xml:id"/></a> - <b><a href="{@origin}"><xsl:value-of select="s:title"/></a></b> (<b><xsl:value-of select="@cr"/></b>)
	    <p>Description: <xsl:value-of select="s:description"/>
	    </p>
            <p>Assertions: <xsl:for-each select="s:assertions/s:assertion"><b><a href="../assertions/assertions.html#{@id}"><xsl:value-of select="@id"/></a></b><xsl:text> </xsl:text>
	                   </xsl:for-each>
            </p>
	    <p>Message exchange pattern: <a href="../meps/meps.html#{s:message-exchange/@type}"><xsl:value-of select="s:message-exchange/@type"/></a>
	    </p>

<!-- begin URI, WSDL, and environment changes -->
          
      <xsl:for-each select="s:uri">
        <p>JMS URI: <xsl:value-of select="."/></p>
      </xsl:for-each>
 
      <xsl:for-each select="s:wsdl">
        <p>WSDL binding:</p>
        <div style="padding-left: 20px;">
          <![CDATA[<wsdl]]><xsl:value-of select="@version"/><![CDATA[:binding.../>]]><br/> 
          <xsl:for-each select="s:binding">
            <span style="padding-left: 20px;"><xsl:value-of select="."/></span><br/>
          </xsl:for-each>
          <span style="padding-left: 20px;"><![CDATA[...]]></span><br/>
          <![CDATA[</wsdl]]><xsl:value-of select="@version"/><![CDATA[:binding/>]]><br/> 
        </div>
      </xsl:for-each>

      <xsl:for-each select="s:wsdlfragment">
        <p>WSDL fragment:</p>
        <div class="wsdlfragment">
        <pre>
          <xsl:value-of select="."/>
        </pre>
        </div>
      </xsl:for-each>
 
      <xsl:for-each select="s:environment">
        <p>Client environment:</p>
        <div style="padding-left: 20px;">
          <xsl:for-each select="s:property">
            <xsl:value-of select="@name"/> = <xsl:value-of select="@value"/><br/>
          </xsl:for-each>
        </div>
      </xsl:for-each>
      
   <!-- end URI, WSDL, and environment changes -->              
	    <p>Message flow(s):</p>
            <ol>
              <xsl:for-each select="s:message-exchange/s:message">
                <li>
                  <xsl:value-of select="@from"/> 
	    		<xsl:choose>
	    		<xsl:when test="@name"> sends a <a href="../documents/{@document}"><xsl:value-of select="@name"/></a>
	    		</xsl:when>
	    		<xsl:otherwise> sends an [empty] message </xsl:otherwise>
	    		</xsl:choose> to <xsl:value-of select="@to"/>.
	    		<ul>
	    		<xsl:for-each select="s:assert">
	    		<li>
	    		    <span class="xpath"><xsl:value-of select="@test"/></span>
	    		    <xsl:if test="@optional = '1'">
	    			<span class="optional">  (<b>OPTIONAL</b>)</span>
	    		    </xsl:if>
	    		</li>
	    		</xsl:for-each>
	    		</ul>
                </li>
              </xsl:for-each>
            </ol>
            <xsl:for-each select="s:note">
                <p><b>Note:</b> <i><xsl:value-of select="."/></i></p>
            </xsl:for-each>
            <br/><hr/><br/>
          </div>
        </xsl:for-each>
    <hr/>
    <p>
      Generated from <a href="testcases.xml">testcases.xml</a> using
      <a href="testcases.xsl">testcases.xsl</a>.<br/>
    </p>
    <xsl:copy-of select="document('../address.xml')/suffix/*"/>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
